Gives the result of the 3D Secure App Authentication.
Request Path Parameters
| Parameter | type | Limits | required | Description |
|---|---|---|---|---|
| terminalID | String | 10 characters | ✓ | The Paymentology issued terminal id of the terminal requesting the transaction |
| trackingNumber | String | 1-255 characters | ✓ | Tracking number of the card being used for the transaction |
| customerReference | String | ✓ | Customer reference this card is linked to | |
| threeDSTransactionID | String | ✓ | The original transactionID that was supplied to the client in the 3DSecureAppAuthentication message. | |
| status | String | ✓ | 0 – fully authenticated; 1 – authentication failed; 2 – timeout with cardholder’s app; 3 – general error | |
| errorMessage | String | Message to be displayed to the cardholder | ||
| transactionID | String | ✓ | The unique transaction id provided by the ACS | |
| transactionDate | Date | ✓ | Transaction date generated by the calling client | |
| checksum | String | ✓ | HMAC-SHA256 hashed signature of the concatenated method name with all argument values using the terminal password as private key |
Response Parameters
| Field | type | Description |
|---|---|---|
| terminalID | String | Echo |
| trackingNumber | String | Echo |
| customerReference | String | Echo |
| threeDsTransactionID | String | Echo |
| status | String | Echo |
| errorMessage | String | Echo |
| clientTransactionID | String | Echo |
| serverTransactionID | String | Transaction id number generated by Paymentology |
| resultCode | Integer | Code indicating transaction result |
| resultText | String | Text indicating transaction result |
